[arch-commits] Commit in libfontenc/repos (extra-i686 extra-i686/PKGBUILD)

Eric Bélanger eric at archlinux.org
Fri Apr 10 01:46:06 EDT 2009


    Date: Friday, April 10, 2009 @ 01:46:06
  Author: eric
Revision: 34562

Merged revisions 34556 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/libfontenc/trunk

........
  r34556 | eric | 2009-04-10 01:25:29 -0400 (Fri, 10 Apr 2009) | 2 lines
  
  upgpkg: libfontenc 1.0.4-2
      Added license
........

Modified:
  libfontenc/repos/extra-i686/	(properties)
  libfontenc/repos/extra-i686/PKGBUILD

----------+
 PKGBUILD |   10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)


Property changes on: libfontenc/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /libfontenc/trunk:1-20823
   + /libfontenc/trunk:1-34561

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-04-10 05:31:03 UTC (rev 34561)
+++ extra-i686/PKGBUILD	2009-04-10 05:46:06 UTC (rev 34562)
@@ -3,10 +3,11 @@
 
 pkgname=libfontenc
 pkgver=1.0.4
-pkgrel=1
+pkgrel=2
 pkgdesc="X11 font encoding library"
 arch=(i686 x86_64)
 url="http://xorg.freedesktop.org/"
+license=('custom')
 depends=('zlib')
 makedepends=('pkgconfig' 'xproto')
 options=('!libtool')
@@ -14,11 +15,12 @@
 md5sums=('5cd16a2e51ca7b96a3081c7486ff98b9')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
+  cd ${srcdir}/${pkgname}-${pkgver}
   ./configure --prefix=/usr --sysconfdir=/etc \
               --localstatedir=/var --disable-static \
-              --with-encodingsdir=/usr/share/fonts/encodings
+              --with-encodingsdir=/usr/share/fonts/encodings || return 1
               
   make || return 1
-  make DESTDIR=${startdir}/pkg install || return 1
+  make DESTDIR=${pkgdir} install || return 1
+  install -D -m644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE
 }



More information about the arch-commits mailing list